﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using DuckEmulator.HabboHotel.Outside.Messages.Types;

namespace DuckEmulator.HabboHotel.Outside.Achievements
{
    enum AchievementType
    {
        Social = 0,
        Identity = 1,
        Games = 2,
        Room_Builder = 3,
        Explore = 4,
        Pets = 5,
        Music = 6,
        BattleBall = 7,
        Freeze = 8
    }

    class Achievement
    {
        internal readonly uint Id;
        internal AchievementType AchievementType;
        internal string BadgeCode;
        internal int Levels;
        internal Boolean MultiPlay = true;
        internal int PixelReward = 100;
        internal double Doubler;

        internal Achievement(uint Id, AchievementType Type,int Levels, string BadgeCode, Boolean MultiPlay, int PixelReward, double Doubler)
        {
            this.Id = Id;
            this.AchievementType = Type;
            this.Levels = Levels;
            this.BadgeCode = BadgeCode;
            this.MultiPlay = MultiPlay;
            this.PixelReward = PixelReward;
            this.Doubler = Doubler;
        }
    }
}
