﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using DuckEmulator.HabboHotel.Outside.Rooms;
using DuckEmulator.HabboHotel.Outside.Messages.Types;

namespace DuckEmulator.HabboHotel.Outside.Navigator
{
    class PublicRoom
    {
        internal readonly uint Id;
        internal uint PrivateRoomId;
        internal string Image;
        internal int ImageType = new int();
        internal uint Category = new uint();

        internal Room Room
        {
            get
            {
                return null;
            }
        }
         
        internal PublicRoom(uint Id,uint PrivateRoomId, string Image, int ImageType, int Category)
        {
            this.Id = Id;
            this.PrivateRoomId = PrivateRoomId;
            this.Image = Image;
            this.ImageType = ImageType;
            this.Category = (uint)Category;
        }

        internal void Serialize(ServerMessage Message)
        {
            Message.AppendUInt(Id);

            Message.AppendStringWithBreak("Public room " + Id);

            Message.AppendStringWithBreak("F*cking noob room here.");
            Message.AppendInt32(ImageType);
            Message.AppendStringWithBreak("Public room " + Id);
            Message.AppendStringWithBreak(Image);

            Message.AppendInt32((int)Category);
            Message.AppendInt32((Room != null) ? Room.UserCount : 0); // usersnow
            Message.AppendInt32(3);
            Message.AppendStringWithBreak(Image);
            Message.AppendUInt(1337);
            Message.AppendBoolean(true);
            Message.AppendStringWithBreak(""); // ccts
            Message.AppendInt32(25); //maxusers
            Message.AppendUInt(PrivateRoomId);
        }
    }
}
