using System;
using System.Collections.Generic;
using System.Text;
using System.Drawing;

namespace DuckEmulator.HabboHotel.Outside.Rooms.Movement
{
    interface IPathFinder
    {

        bool Stopped
        {
            get;
        }

        HeuristicFormula Formula
        {
            get;
            set;
        }

       int HeuristicEstimate
        {
            get;
            set;
        }

        bool TieBreaker
        {
            get;
            set;
        }

        int SearchLimit
        {
            get;
            set;
        }

        double CompletedTime
        {
            get;
            set;
        }

        void FindPathStop();
        List<PathFinderNode> FindPath(Point start, Point end);

    }
}
