﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace DuckEmulator.Security
{
    class SecurityRandom : Random
    {
        internal SecurityRandom() { }

        public override Int32 Next()
        {
            return base.Next(Int32.MinValue, Int32.MaxValue);
        }

        public override Int32 Next(Int32 maxValue)
        {
            return base.Next(maxValue);
        }

        public override int Next(Int32 minValue, Int32 maxValue)
        {
            return base.Next(minValue, maxValue);
        }

        protected override double Sample()
        {
            return Convert.ToDouble("0." + Next(10));
        }

        public override void NextBytes(byte[] buffer)
        {
            base.NextBytes(buffer);
        }
    }
}
