﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace DuckEmulator.GUI
{
    partial class ErrorEvents : Form
    {
        internal ErrorEvents()
        {
            InitializeComponent();
            Parse();
        }

        internal void Parse()
        {
            listBox1.Items.Clear();

            foreach (KeyValuePair<DateTime, string> kvp in DuckEnvironment.ErrorHandler.KeyVals)
            {
                listBox1.Items.Add(kvp.Key + " - " + kvp.Value);
            }

            if (listBox1.Items.Count <= 0) listBox1.Items.Add("No errors found.");
        }
    }
}
