﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace DuckEmulator.GUI.Stats
{
    partial class Global : Form
    {
        internal Global()
        {
            InitializeComponent();
            LoadData();
        }

        internal void LoadData()
        {
            if (!DuckEnvironment.Started) return;

            int Created = (DuckEnvironment.SocketListener.GetFactory().SocketsCreated - 1);
            int Disposed = (DuckEnvironment.SocketListener.GetFactory().SocketsDisposed - 1);

            if (Created < 0) Created = 0;
            if (Disposed < 0) Disposed = 0;

            this.SocketsMade.Text = Created.ToString();

            this.SocketsDisposed.Text = Disposed.ToString();
        }
    }
}
