﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Windows.Forms.DataVisualization.Charting;
using DuckEmulator.Security;

namespace DuckEmulator.GUI.Stats
{
    partial class Users : Form
    {
        private SecurityDictionary<int, int> HoursUsers;

        internal Users()
        {
            InitializeComponent();

            if (DuckEnvironment.Started)
            {
                HoursUsers = DuckEnvironment.SocketListener.GetFactory().GetChart();
                label3.Visible = false;
            }
            else
            {
                HoursUsers = new SecurityDictionary<int, int>();
            }

            Initialize();
        }

        internal void Initialize()
        {
            var Users = HoursUsers.Values.ToList();
            var Hours = HoursUsers.Keys.ToList();

            for (int i = 0; i < Users.Count; i++)
            {
                this.Chart.Series[0].Points.Add(Users[i]);
            }
        }
    }
}
