﻿using System;

namespace DuckEmulator.HabboHotel.Inside.Helpers
{
    public static class ArrayHelper
    {
        public static E[] copyArray<E>(E[] original, int startIndex)
        {
            var eArray = new E[original.Length - startIndex];
            for (int index = startIndex; index < original.Length; ++index)
                eArray[index - startIndex] = original[index];
            return eArray;
        }

        public static byte[] combineArrays(byte[] a, byte[] b)
        {
            var numArray = new byte[a.Length + b.Length];
            Buffer.BlockCopy(a, 0, numArray, 0, a.Length);
            Buffer.BlockCopy(b, 0, numArray, a.Length, b.Length);
            return numArray;
        }
    }
}