﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using DuckEmulator.HabboHotel.Inside.Storage.MySql.Database.Interfaces;

namespace DuckEmulator.HabboHotel.Outside.Catalogue
{
    class ItemGenerator
    {
        private uint ItemId = new uint();
        private readonly Object _Lock = new Object();

        internal uint GetItemId()
        {
            lock (_Lock)
            {
                ItemId++;
                return ItemId;
            }
        }

        internal ItemGenerator()
        {
            Serialize();
        }

        internal void Serialize()
        {
            try
            {
                using (IQueryAdapter Adapter = DuckEnvironment.GetAdapter())
                {
                    Adapter.setQuery("SELECT MAX(id) FROM items LIMIT 1");
                    ItemId = (uint)Adapter.getRow()[0];
                }
            }
            catch { ItemId = new uint(); }
        }
    }
}
