﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using DuckEmulator.HabboHotel.Outside.Messages.Types;

namespace DuckEmulator.HabboHotel.Outside.Navigator
{
    class PublicCat
    {
        internal readonly uint Id;
        internal string Name;
        internal string Image;

        internal PublicCat(uint Id, string Name, string Image)
        {
            this.Id = Id;
            this.Name = Name;
            this.Image = Image;
        }

        internal void Serialize(ServerMessage Message)
        {
            Message.AppendUInt(Id);
            Message.AppendStringWithBreak(Name);
            Message.AppendStringWithBreak("");
            Message.AppendStringWithBreak("");
            Message.AppendBoolean(true);
            Message.AppendStringWithBreak("");
            Message.AppendStringWithBreak(Image);
            Message.AppendBoolean(false);
            Message.AppendBoolean(false);
            Message.AppendInt32(4);
            Message.AppendBoolean(false);
        }
    }
}
